Retrieve by filter name/valueAsk AIget https://ac.cnstrc.com/browse/{filter_name}/{filter_value}Retrieve AI optimized browse results for products (or optionally other sections) by facet name and value.Path Paramsfilter_namestringrequiredfilter_valuestringrequiredQuery Paramskeystringrequiredlength between 1 and 100The key of the index to use.sectionstringlength between 1 and 100The section of the index to use. Defaults to Products.filtersobjectAny number of filtering criteria (accessible to end users) used to narrow the result set, such as color=blue or group_id=sandals or price=100-200. Facets and Item Groups and Collections can be used as filters. If filter_value has the form <min>-<max>, it is interpreted as a range. Filters with the same key are ORed together and filters with different keys are ANDed together by default. Only results that match the filters are returned. Boolean values are serialized with the first letter capitalized (e.g., True / False) as a convention.Filters objectfilter_match_typesobjectAn object specifying whether results must match all, any or none of a given filter when multiple options of the same facet (e.g: color: yellow & blue) are selected.filter_match_types objectpre_filter_expressionobjectEncoded JSON stringA JSON-encoded filter expression containing any number of filters (inaccessible to end users) used to narrow the result set. Applied before user-selected filters. Only items that match this expression are considered in facet counts. Only results that match the filters are returned. Read more.object objectnum_results_per_pageinteger1 to 200Defaults to 20The number of results per page to return.pageintegerā„ 1The page of results to return.offsetintegerā„ 0The number of results to skip from the beginning. Cannot be used together with page.sort_bystringDefaults to relevanceThe method to sort results by. The default value relevance sorts by Constructor's attractiveness & personalization algorithms and is reserved. Alternative sort criteria can be configured using the Sort options API.sort_orderstringenumDefaults to descendingThe order by which results should be sorted. Only valid in conjunction with sort_by.descendingascendingdescendingAllowed:ascendingdescendingnowdate-timeA date time representing the current moment in time when applying filtering by product age. Used to emulate "past/future" requests. Requires authentication.variations_mapjsonA JSON string containing a instructions on how to map item variation data in the response (typically used for swatches). More details, including the exact schema for this value can be found herefmt_optionsobjectAn object containing options to format different aspect of the response.Fmt Options objectqsjsonA JSON-encoded query string. Any query parameters listed for this endpoint can be serialized into a JSON string and parsed thru the qs param.origin_referrerstringThe url or app location where the request originated.cstringlength between 1 and 100The ID of the client and version that the request is coming from, such as cio-js-2.90.usarray of stringsA customer defined context (such as vip-club-member) used to evaluate redirect or refined tag rules. Pass multiple segments by passing multiple us arguments.usADD stringuistringA customer generated anonymized identifier for a user on a customer website. It should only be sent for logged in customers and helps Constructor to tie multiple client and session IDs together to form a behavioral data profile across devices.sintegerAn integer representing the users session number (starting with 1), incremented after a 30 minute period of inactivity.istringA globally unique identifier for the user browser (or mobile application instance) making the request.Responses 200OK 400Validation ErrorUpdated 6 months ago